| Flutter Impeller |

Public Member Functions | Static Public Member Functions | List of all members
flutter::DlRuntimeEffectImpeller Class Referencefinal

`#include <dl_runtime_effect_impeller.h>`

Inheritance diagram for flutter::DlRuntimeEffectImpeller:

## Public Member Functions
| ~DlRuntimeEffectImpeller () override
| DlRuntimeEffectImpeller (std::shared_ptr< impeller::RuntimeStage > runtime_stage)
sk_sp< SkRuntimeEffect > | skia_runtime_effect () const override
std::shared_ptr< impeller::RuntimeStage > | runtime_stage () const override
size_t | uniform_size () const override

## Static Public Member Functions
static sk_sp< DlRuntimeEffect > | Make (std::shared_ptr< impeller::RuntimeStage > runtime_stage)

## Detailed Description

Definition at line 12 of file dl_runtime_effect_impeller.h.

## Constructor & Destructor Documentation

## ◆ ~DlRuntimeEffectImpeller()

flutter::DlRuntimeEffectImpeller::~DlRuntimeEffectImpeller | ( |  | ) |
| override default

## ◆ DlRuntimeEffectImpeller()

flutter::DlRuntimeEffectImpeller::DlRuntimeEffectImpeller | ( | std::shared_ptr< impeller::RuntimeStage > | runtime_stage | ) |
| explicit

Definition at line 21 of file dl_runtime_effect_impeller.cc.

23 : runtime_stage_(std::move(runtime_stage)) {};
flutter::DlRuntimeEffectImpeller::runtime_stage
std::shared_ptr< impeller::RuntimeStage > runtime_stage() const override
Definition: dl_runtime_effect_impeller.cc:29

## Member Function Documentation

## ◆ Make()

sk_sp< DlRuntimeEffect > flutter::DlRuntimeEffectImpeller::Make | ( | std::shared_ptr< impeller::RuntimeStage > | runtime_stage | ) |
| static

DlRuntimeEffectImpeller

Definition at line 14 of file dl_runtime_effect_impeller.cc.

15 {
16 return sk_make_sp<DlRuntimeEffectImpeller>(std::move(runtime_stage));
17 }

References runtime_stage().

Referenced by impeller::interop::ColorSource::MakeFragmentProgram(), impeller::interop::ImageFilter::MakeFragmentProgram(), and impeller::testing::TEST_P().

## ◆ runtime_stage()

std::shared_ptr< impeller::RuntimeStage > flutter::DlRuntimeEffectImpeller::runtime_stage | ( |  | ) | const
| override

Definition at line 29 of file dl_runtime_effect_impeller.cc.

30 {
31 return runtime_stage_;
32 }

Referenced by Make().

## ◆ skia_runtime_effect()

sk_sp< SkRuntimeEffect > flutter::DlRuntimeEffectImpeller::skia_runtime_effect | ( |  | ) | const
| override

Definition at line 25 of file dl_runtime_effect_impeller.cc.

25 {
26 return nullptr;
27 }

## ◆ uniform_size()

size_t flutter::DlRuntimeEffectImpeller::uniform_size | ( |  | ) | const
| override

Definition at line 34 of file dl_runtime_effect_impeller.cc.

34 {
35 if (!runtime_stage_) {
36 return 0;
37 }
38
39 size_t total = 0;
40 for (const auto& uniform : runtime_stage_->GetUniforms()) {
41 total += uniform.GetGPUSize();
42 }
43 return total;
44 }

The documentation for this class was generated from the following files:

- impeller/display_list/dl_runtime_effect_impeller.h
- impeller/display_list/dl_runtime_effect_impeller.cc